package cn.com.wasu.main;

/**
 * 用于定义一些内部数据传递的常量
 *
 */
public enum IntentConstant {
	/** 播放相关信息， bundle类型 **/
	PLAY_INFO("playinfo"),
	
	/** 节目相关信息， bundle类型 **/
	PROGRAM_INFO("programinfo"),
	
	/** 数据URi获取 **/
	DATAURI("dataUri"),
	
	/** category ragment参数名称**/
	FRAGMENT_ARGS("argument"),
	
	/** 上次播放清晰度 ， long类型**/
	LAST_BITRATE("lastplaybitrate"),
	
	/** 上次播放时间， long类型 **/
	LAST_PLAY_TIME("lastplaytime"),
	
	/** 视频总时长， long类型 **/
	DURATION("duration"),
	
	/** 上次播放集数，int类型 **/
	LAST_SERIES("lastplayseries"),
	/** 数据URi获取 **/
	LAYOUT_CODE("layoutCode"),
	/** 是否全屏播放 **/
	Full_Play("fullplay"),
	
	PLAY_INDEX("playIndex"),
	
	/** 关闭后返回主页 **/
	BACK_MAIN("back_main"),
	
	INTENT_END("dummy"),
	
	/**
	 * 播放器类型，0-正常，1-列表联播
	 */
	PLAY_TYPE("play_type");
	
	private String val; 
	IntentConstant(String s){
		val = s;
	}
	
	public String value() {
		return val;
	}
}
